Package net.shibboleth.idp.installer

# Class InstallerSupport.InstallerQuery

java.lang.Object
net.shibboleth.idp.installer.InstallerSupport.InstallerQuery

All Implemented Interfaces:
  `Predicate<String>`

Enclosing class:
  InstallerSupport

public static class InstallerSupport.InstallerQuery extends Object implements Predicate<String>
Predicate to ask the user if they want to install the trust store provided.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`promptText`
What to say.

## Constructor Summary

Constructors
Constructor
Description
`InstallerQuery(String text)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(String keyString)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### promptText

@Nonnull private final String promptText
What to say.

## Constructor Details

### InstallerQuery

public InstallerQuery(@Nonnull String text)
Constructor.

Parameters:
  `text` - What to say before the prompt information

## Method Details

### test

public boolean test(String keyString)

Specified by:
  `test` in interface `Predicate<String>`